Hi all! We're happy to announce that Alpha 1 for 2.5.0 is now available.

Note that while the core engine is feature complete, community module 
freeze is next week, so new modules and features will appear in the next 
pre-release.


How do you get it?
----------------------------------------------------------------------

For the first time, all Ansible pre-releases in the 2.5 series will be 
published to PyPI. This is probably the easiest way for most users to 
install:

$ pip install ansible==2.5.0a1 --user


The tar.gz of the release can be found here:

http://releases.ansible.com/ansible/ansible-2.5.0a1.tar.gz
SHA256: 629db1896086495a82a13e72078d7f1dc4f518d2c6af682d1cff6520e1c506c7


You can also test against the git repository as follows:

$ git clone https://github.com/ansible/ansible.git
$ cd ansible
$ git checkout v2.5.0a1


You can then source our testing script:

$ . hacking/env-setup

or you can build your own .tar.gz (output will be 
dist/ansible-2.5.0a1.tar.gz):

$ make sdist


We've published a draft porting guide at 
https://docs.ansible.com/ansible/devel/porting_guide_2.5.html to help 
migrate your content to 2.5. If you discover any errors, or if you see any 
regressions from playbooks which work on 2.4.x and prior, please open a 
Github issue, and be sure to mention you're testing against 2.5.0a1.

Thanks!

Matt Davis

-- 
You received this message because you are subscribed to the Google Groups 
"Ansible Project" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to ansible-project+unsubscr...@googlegroups.com.
To post to this group, send email to ansible-project@googlegroups.com.
To view this discussion on the web visit 
https://groups.google.com/d/msgid/ansible-project/2964f769-7834-4bf5-982a-a31344a134a5%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.

Reply via email to